Transfer Packages
List Packages
List your transfer packages
GET
/
api
/
v1
/
transfer-packages
/
my
List Packages
curl --request GET \
--url https://api.example.com/api/v1/transfer-packages/myimport requests
url = "https://api.example.com/api/v1/transfer-packages/my"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/transfer-packages/my', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List My Packages
Returns all your transfer packages.Response
Array of package objects withid, address, total_transfers, remaining_transfers, status, and created_at.
Package statuses
| Status | Description |
|---|---|
pending_payment | Awaiting invoice payment |
active | Monitoring address, transfers available |
completed | All transfers used |
cancelled | Cancelled by user |
Example
curl https://api.tronrental.com/v1/transfer-packages/my \
-H "X-API-Key: your_api_key"
Response
[
{
"id": 101,
"address": "TYourAddress...",
"total_transfers": 500,
"remaining_transfers": 312,
"bw_guarantee": true,
"status": "active",
"created_at": "2026-03-01T10:00:00Z"
}
]
⌘I
List Packages
